GDBserver

Public Member Functions | Private Member Functions | Private Attributes | List of all members
scoped_restore_tmpl< T > Class Template Reference

`#include "scoped_restore.h"`

Inheritance diagram for scoped_restore_tmpl< T >:

## Public Member Functions
| scoped_restore_tmpl (T *var)
template<typename T2 >
| scoped_restore_tmpl (T *var, T2 value)
| scoped_restore_tmpl (const scoped_restore_tmpl< T > &other)
| ~scoped_restore_tmpl ()
Public Member Functions inherited from scoped_restore_base
void | release () const

## Private Member Functions
T * | saved_var ()
scoped_restore_tmpl & | operator= (const scoped_restore_tmpl &)

## Private Attributes
const T | m_saved_value

## Additional Inherited Members
Protected Member Functions inherited from scoped_restore_base
| scoped_restore_base (void *saved_var)
Protected Attributes inherited from scoped_restore_base
void * | m_saved_var

## Detailed Description

### template<typename T>
class scoped_restore_tmpl< T >

Definition at line 50 of file scoped_restore.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_tmpl() [1/3]

template<typename T>

scoped_restore_tmpl< T >::scoped_restore_tmpl | ( | T * | var | ) |
| inline

Definition at line 57 of file scoped_restore.h.

## ◆ scoped_restore_tmpl() [2/3]

template<typename T>
template<typename T2 >

scoped_restore_tmpl< T >::scoped_restore_tmpl | ( | T * | var,
|  | T2 | value
| ) |  |
| inline

Definition at line 69 of file scoped_restore.h.

## ◆ scoped_restore_tmpl() [3/3]

template<typename T>

scoped_restore_tmpl< T >::scoped_restore_tmpl | ( | const scoped_restore_tmpl< T > & | other | ) |
| inline

Definition at line 76 of file scoped_restore.h.

References scoped_restore_base::m_saved_var.

## ◆ ~scoped_restore_tmpl()

template<typename T>

scoped_restore_tmpl< T >::~scoped_restore_tmpl | ( |  | ) |
| inline

Definition at line 83 of file scoped_restore.h.

References scoped_restore_tmpl< T >::m_saved_value, and scoped_restore_tmpl< T >::saved_var().

## Member Function Documentation

## ◆ operator=()

template<typename T>

scoped_restore_tmpl& scoped_restore_tmpl< T >::operator= | ( | const scoped_restore_tmpl< T > & |  | ) |
| private

## ◆ saved_var()

template<typename T>

T* scoped_restore_tmpl< T >::saved_var | ( |  | ) |
| inline private

Definition at line 92 of file scoped_restore.h.

References scoped_restore_base::m_saved_var.

Referenced by scoped_restore_tmpl< T >::~scoped_restore_tmpl().

## Member Data Documentation

## ◆ m_saved_value

template<typename T>

const T scoped_restore_tmpl< T >::m_saved_value
| private

Definition at line 99 of file scoped_restore.h.

Referenced by scoped_restore_tmpl< T >::~scoped_restore_tmpl().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/scoped_restore.h